## org.apache.myfaces.custom.inputHtml
Class InputHtml

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputText
                          org.apache.myfaces.component.html.ext.HtmlInputText
                              org.apache.myfaces.custom.inputHtml.InputHtml

All Implemented Interfaces:
  DisplayValueOnlyCapable, javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class InputHtml
extends HtmlInputText

HTML Editor using the kupu library. http://kupu.oscom.org/

Version:
  $Revision: 289942 $ $Date: 2005-09-18 12:10:36 -0400 (Sun, 18 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`
`static java.lang.String` `DEFAULT_RENDERER_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Fields inherited from interface org.apache.myfaces.component.DisplayValueOnlyCapable
`DISPLAY_VALUE_ONLY_ATTR, DISPLAY_VALUE_ONLY_STYLE_ATTR, DISPLAY_VALUE_ONLY_STYLE_CLASS_ATTR`

Constructor Summary
`InputHtml()`

Method Summary
`java.lang.String` `getFallback()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getType()`
`java.lang.String` `getValueAsHtmlDocument(javax.faces.context.FacesContext context)`
`java.lang.String` `getValueFromDocument(java.lang.String text)`
`boolean` `isAddKupuLogo()`
`boolean` `isAllowEditSource()`
`boolean` `isAllowExternalLinks()`
`boolean` `isShowAllToolBoxes()`
`boolean` `isShowAnyToolBox()`
`boolean` `isShowCleanupExpressionsToolBox()`
`boolean` `isShowDebugToolBox()`
`boolean` `isShowImagesToolBox()`
`boolean` `isShowLinksToolBox()`
`boolean` `isShowPropertiesToolBox()`
`boolean` `isShowTablesToolBox()`
`boolean` `isTypeDocument()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setAddKupuLogo(boolean addKupuLogo)`
`void` `setAllowEditSource(boolean allowEditSource)`
`void` `setAllowExternalLinks(boolean allowExternalLinks)`
`void` `setFallback(java.lang.String _fallback)`
`void` `setShowAllToolBoxes(boolean showAllToolBoxes)`
`void` `setShowCleanupExpressionsToolBox(boolean showCleanupExpressionsToolBox)`
`void` `setShowDebugToolBox(boolean showTablesToolBox)`
`void` `setShowImagesToolBox(boolean showImagesToolBox)`
`void` `setShowLinksToolBox(boolean showLinksToolBox)`
`void` `setShowPropertiesToolBox(boolean showPropertiesToolBox)`
`void` `setShowTablesToolBox(boolean showTablesToolBox)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setType(java.lang.String _type)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlInputText
`getClientId, getDisplayValueOnlyStyle, getDisplayValueOnlyStyleClass, getEnabledOnUserRole, getVisibleOnUserRole, isDisplayValueOnly, isRendered, isSetDisplayValueOnly, setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class javax.faces.component.html.HtmlInputText

`getAccesskey, getAlt, getDir, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### DEFAULT_RENDERER_TYPE

    public static final java.lang.String DEFAULT_RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### InputHtml

    public InputHtml()

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `HtmlInputText`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `HtmlInputText`

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getFallback

    public java.lang.String getFallback()

### setFallback

    public void setFallback(java.lang.String _fallback)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String _type)

### isTypeDocument

    public boolean isTypeDocument()

### isAllowEditSource

    public boolean isAllowEditSource()

### setAllowEditSource

    public void setAllowEditSource(boolean allowEditSource)

### isAllowExternalLinks

    public boolean isAllowExternalLinks()

### setAllowExternalLinks

    public void setAllowExternalLinks(boolean allowExternalLinks)

### isAddKupuLogo

    public boolean isAddKupuLogo()

### setAddKupuLogo

    public void setAddKupuLogo(boolean addKupuLogo)

### isShowAllToolBoxes

    public boolean isShowAllToolBoxes()

### setShowAllToolBoxes

    public void setShowAllToolBoxes(boolean showAllToolBoxes)

### isShowPropertiesToolBox

    public boolean isShowPropertiesToolBox()

### setShowPropertiesToolBox

    public void setShowPropertiesToolBox(boolean showPropertiesToolBox)

### isShowLinksToolBox

    public boolean isShowLinksToolBox()

### setShowLinksToolBox

    public void setShowLinksToolBox(boolean showLinksToolBox)

### isShowImagesToolBox

    public boolean isShowImagesToolBox()

### setShowImagesToolBox

    public void setShowImagesToolBox(boolean showImagesToolBox)

### isShowTablesToolBox

    public boolean isShowTablesToolBox()

### setShowTablesToolBox

    public void setShowTablesToolBox(boolean showTablesToolBox)

### isShowCleanupExpressionsToolBox

    public boolean isShowCleanupExpressionsToolBox()

### setShowCleanupExpressionsToolBox

    public void setShowCleanupExpressionsToolBox(boolean showCleanupExpressionsToolBox)

### isShowDebugToolBox

    public boolean isShowDebugToolBox()

### setShowDebugToolBox

    public void setShowDebugToolBox(boolean showTablesToolBox)

### isShowAnyToolBox

    public boolean isShowAnyToolBox()

### getValueAsHtmlDocument

    public java.lang.String getValueAsHtmlDocument(javax.faces.context.FacesContext context)

### getValueFromDocument

    public java.lang.String getValueFromDocument(java.lang.String text)